Bug 123876 - usb dvdrw gives cdrecord: Invalid argument. Cannot get SCSI I/O buffer.
usb dvdrw gives cdrecord: Invalid argument. Cannot get SCSI I/O buffer.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
: 123481 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-21 03:28 EDT by Chris Petersen
Modified: 2015-01-04 17:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:46:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output from cdrecord -prcap for a variety of scenarios (2.58 KB, text/plain)
2004-05-22 15:50 EDT, Chris Petersen
no flags Details
cdrecord and system info (7.36 KB, text/plain)
2004-06-01 09:49 EDT, Phil Schaffner
no flags Details

  None (edit)
Description Chris Petersen 2004-05-21 03:28:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040510 Galeon/1.3.14

Description of problem:
I have a dvd burner attached via USB. I leave it off most of the time
(it's noisy).  When I turn it on, it shows up in /proc/scsi/scsi (and
in /sys) with a scsi id of 0,0,0.  Everything works perfectly if I use
 a 2.4 kernel, but when using a 2.6 kernel, `cdrecord -scanbus` (with
or without -dev=ATA or -dev=ATAPI) doesn't see it.  Instead, I get two
"scsibus[12]" entries, one for my internal cd burner (seemingly at
address 0,0,0) and one for my dvd reader (at 1,0,0).  (those report as
1,0,0 and 2,0,0 when using -dev=ATAPI).  I get "can't find" errors if
I use -dev=sg or anything else.  Trying to access the drive via
/dev/scd0 results in an error about not using the dev-name (although
it works fine for the IDE burner).  

The burner itself works fine under the 2.4.x kernel, and under 2.6 I
can still eject/mount/etc.  Just not burn my backup dvd's.

Version-Release number of selected component (if applicable):
cdrecord-2.01-0.a27.3

How reproducible:
Always

Steps to Reproduce:
boot into 2.6 kernel
turn on usb burner
run `cdrecord -scanbus`

Actual Results:  sees internal IDE cdrw and DVD reader

Expected Results:  should see internal IDE cdrw DVD reader AND the
external USB dvd burner.

Additional info:

I've scoured google for answers and have found plenty of people
complaining about (and fixing) issues with nonworking burners, but
nothing about cdrecord not even being able to SEE the burner.
Comment 1 Alan Cox 2004-05-21 18:51:35 EDT
In part this is a bug in the FC2 shipped kernel - it erroneously only
makes /dev/sg accessible possible for devices which are not otherwise
handled (disk, cd etc). This is a change that Linus has thrown out
upstream and our kernel needs to fix in an errata
Comment 2 Alan Cox 2004-05-21 20:06:14 EDT
*** Bug 123481 has been marked as a duplicate of this bug. ***
Comment 3 Arjan van de Ven 2004-05-22 02:55:53 EDT
can you paste the full error you get when you use /dev/scd0 ?
Comment 4 Chris Petersen 2004-05-22 15:50:29 EDT
Created attachment 100461 [details]
output from cdrecord -prcap for a variety of scenarios
Comment 5 Chris Petersen 2004-05-22 15:51:10 EDT
ok.  again for the record, dev=ATA and dev=ATAPI work fine.  as does
dev=/dev/hdc (my ide cd burner)..  The requested responses felt a
little big to paste here, so I've attached them.
Comment 6 Arjan van de Ven 2004-05-22 15:52:41 EDT
cdrecord: Invalid argument. Cannot get SCSI I/O buffer.

hmm that bug again ;(
Comment 7 Phil Schaffner 2004-06-01 09:49:08 EDT
Created attachment 100736 [details]
cdrecord and system info

Information from system with both ATA and SCSI peripherals.
Comment 8 Phil Schaffner 2004-06-01 09:51:43 EDT
Have similar problms on FC2 with SCSI CD-RW on Adaptec AHA-2940UW and
ATA DVD-ROM.  Details attached above.  Also have a Firewire/USB DVD-RW
at work that I can test with if desired.  Please contact me if more
info or testing is needed.
Comment 9 Shahms E. King 2004-06-08 11:06:44 EDT
I'm no longer seeing this bug on 2.6.6-422, should this be closed or
wait until cdrecord/cdparanoia are fixed to use SG_IO on SCSI and
ATAPI devices? 
Comment 10 Chris Petersen 2004-06-09 00:57:30 EDT
I grabbed kernel-smp-2.6.6-1.422 from Arjan's apt repository, and the
problem does seem to be gone (ie. I can burn a dvd with my usb burner)
Comment 11 Chris Petersen 2004-06-09 02:58:49 EDT
Well, dvd burning does work, but that kernel is incredibly unstable. 
I've had complete system freezes (sorry, I don't know how to get at
core files, etc to give more info) when burning to and reading from
the usb burner.  Problems go away when I go back to a 2.4 kernel.
Comment 12 Chris Petersen 2004-06-18 00:25:22 EDT
Still unstable with kernel-2.6.6-1.435 (from Arjan's repository).  I'd
say that it kernel panics, but all I can tell is that X freezes and I
have to hit the reset switch.
Comment 13 Dave Jones 2005-04-16 01:46:21 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.